Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Env_Value Class Template Reference

Enviroment Variable Value. More...

`#include <Env_Value_T.h>`

List of all members.

## Public Methods
| ACE_Env_Value (void)
| ACE_Env_Value (const ACE_TCHAR *varname, const T &vardefault)
| Constructor that calls <open>.
| ~ACE_Env_Value (void)
| Destroy the value.
| operator T (void)
| Returns the value as type T.
void | open (const ACE_TCHAR *varname, const T &defval)
| The constructor, read <varname> from the enviroment, using <vardefault> as its value if it is not defined.
const ACE_TCHAR* | varname (void) const
| Returns the name of the variable being tracked.
## Private Methods
| ACE_Env_Value (const ACE_Env_Value<T> &)
| Disallow copying and assignment.
ACE_Env_Value<T> | operator= (const ACE_Env_Value<T> &)
void | fetch_value (void)
## Private Attributes
const ACE_TCHAR* | varname_
T | value_

## Detailed Description

### template<class T> template class ACE_Env_Value

Enviroment Variable Value.

Reads a variable from the user enviroment, providing a default value. = AUTHOR Chris Cleeland, Carlos O'Ryan

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_Env_Value< T >::ACE_Env_Value<T> ( | void )

| Default constructor which isn't bound to a specific environment variable name or a default value. Before being useful it must <open>'d.

template<classT>
ACE_INLINE ACE_Env_Value< T >::ACE_Env_Value<T> ( | const ACE_TCHAR * varname,
| const T & defval )

| Constructor that calls <open>.

template<classT>
ACE_INLINE ACE_Env_Value< T >::~ACE_Env_Value<T> ( | void )

| Destroy the value.

template<classT>
ACE_Env_Value<T>::ACE_Env_Value<T> ( | const ACE_Env_Value< T >& )`[private]`

| Disallow copying and assignment.

## Member Function Documentation

template<classT>
ACE_INLINE void ACE_Env_Value< T >::fetch_value ( | void )`[private]`

template<classT>
ACE_INLINE void ACE_Env_Value< T >::open ( | const ACE_TCHAR * varname,
| const T & defval )

| The constructor, read <varname> from the enviroment, using <vardefault> as its value if it is not defined.

template<classT>
ACE_INLINE ACE_Env_Value< T >::operator T ( | void )

| Returns the value as type T.

template<classT>
ACE_Env_Value<T> ACE_Env_Value<T>::operator= ( | const ACE_Env_Value< T >& )`[private]`

template<classT>
ACE_INLINE const ACE_TCHAR * ACE_Env_Value< T >::varname ( | void ) const

| Returns the name of the variable being tracked.

## Member Data Documentation

template<classT>
T ACE_Env_Value<T>::value_`[private]`

template<classT>
const ACE_TCHAR * ACE_Env_Value<T>::varname_`[private]`

The documentation for this class was generated from the following files:

- Env_Value_T.h
- Env_Value_T.i